Bug 297816 - Amarok Crashes when saving Playlist to Device (Sony Walkman) [@ Meta::MtpHandler::libSavePlaylist]
Summary: Amarok Crashes when saving Playlist to Device (Sony Walkman) [@ Meta::MtpHand...
Status: RESOLVED NOT A BUG
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/MTP player (show other bugs)
Version: 2.6-git
Platform: Ubuntu Packages Linux
: NOR crash with 10 votes (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
: 308037 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-10 03:19 UTC by Matias Barletta
Modified: 2013-06-18 11:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matias Barletta 2012-04-10 03:19:30 UTC
Application: amarok (2.5.0)
KDE Platform Version: 4.8.2 (4.8.2)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-22-generic-pae i686
Distribution: Ubuntu precise (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
Saving a playlist to Device always ends in a crash

Kubuntu 12.04 Updated today and restarted after update. 

Sony Walkman is correctly displayed in the Collections section and I am able to transfer songs to the device.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb1128980 (LWP 4324))]

Thread 19 (Thread 0xa4df1b40 (LWP 4544)):
#0  0xb4684c5e in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb564a634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb43b1420 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4371755 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4371f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb59ab8e7 in QEventDispatcherGlib::processEvents (this=0xa4400488, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb597750d in QEventLoop::processEvents (this=0xa4df1240, flags=...) at kernel/qeventloop.cpp:149
#8  0xb59777a9 in QEventLoop::exec (this=0xa4df1240, flags=...) at kernel/qeventloop.cpp:204
#9  0xb586094c in QThread::exec (this=0xa4762f0) at thread/qthread.cpp:501
#10 0xb5954b5d in QInotifyFileSystemWatcherEngine::run (this=0xa4762f0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb5863de0 in QThreadPrivate::start (arg=0xa4762f0) at thread/qthread_unix.cpp:298
#12 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 18 (Thread 0xa3284b40 (LWP 4799)):
#0  0xb4371765 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb4371f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb59ab8e7 in QEventDispatcherGlib::processEvents (this=0xa2900468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb597750d in QEventLoop::processEvents (this=0xa3284270, flags=...) at kernel/qeventloop.cpp:149
#5  0xb59777a9 in QEventLoop::exec (this=0xa3284270, flags=...) at kernel/qeventloop.cpp:204
#6  0xb586094c in QThread::exec (this=0xa646d50) at thread/qthread.cpp:501
#7  0xb5860a3b in QThread::run (this=0xa646d50) at thread/qthread.cpp:568
#8  0xb5863de0 in QThreadPrivate::start (arg=0xa646d50) at thread/qthread_unix.cpp:298
#9  0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 17 (Thread 0xa26feb40 (LWP 4801)):
#0  0xb419bdcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb58c2315 in do_gettime (frac=0xa26fe000, sec=0xa26fdff8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb59ac226 in QTimerInfoList::updateCurrentTime (this=0xa1d01e74) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb59ac57a in QTimerInfoList::timerWait (this=0xa1d01e74, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb59aae23 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa26fe0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb4371762 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb4371f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb59ab8e7 in QEventDispatcherGlib::processEvents (this=0xa1d00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#10 0xb597750d in QEventLoop::processEvents (this=0xa26fe270, flags=...) at kernel/qeventloop.cpp:149
#11 0xb59777a9 in QEventLoop::exec (this=0xa26fe270, flags=...) at kernel/qeventloop.cpp:204
#12 0xb586094c in QThread::exec (this=0xa6598a8) at thread/qthread.cpp:501
#13 0xb5860a3b in QThread::run (this=0xa6598a8) at thread/qthread.cpp:568
#14 0xb5863de0 in QThreadPrivate::start (arg=0xa6598a8) at thread/qthread_unix.cpp:298
#15 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 16 (Thread 0xa12ffb40 (LWP 4812)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb5864350 in wait (time=4294967295, this=0xa6908c8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa690818, mutex=0xa6909e8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4ddaacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa690800, th=0xa690c48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ddd95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa690a88, th=0xa690c48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dda63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa690800, th=0xa690c48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4ddda5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa690c48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa690c48, previous=0xd412530) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4ddc4e4 in ThreadWeaver::ThreadRunHelper::run (this=0xa12ff2a4, parent=0xa690800, th=0xa690c48) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4ddc59a in ThreadWeaver::Thread::run (this=0xa690c48) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb5863de0 in QThreadPrivate::start (arg=0xa690c48) at thread/qthread_unix.cpp:298
#13 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#14 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 15 (Thread 0xa07fdb40 (LWP 4978)):
#0  0xb4684c27 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0xb564a634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0xb43b1420 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4371a66 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4372002 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb59ab8e7 in QEventDispatcherGlib::processEvents (this=0x9fe00468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb597750d in QEventLoop::processEvents (this=0xa07fd240, flags=...) at kernel/qeventloop.cpp:149
#8  0xb59777a9 in QEventLoop::exec (this=0xa07fd240, flags=...) at kernel/qeventloop.cpp:204
#9  0xb586094c in QThread::exec (this=0xa9123c8) at thread/qthread.cpp:501
#10 0xb5954b5d in QInotifyFileSystemWatcherEngine::run (this=0xa9123c8) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb5863de0 in QThreadPrivate::start (arg=0xa9123c8) at thread/qthread_unix.cpp:298
#12 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#13 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 14 (Thread 0x9fdffb40 (LWP 4979)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb5864350 in wait (time=4294967295, this=0xa6908c8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa690818, mutex=0xa6909e8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4ddaacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa690800, th=0xa971fa0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ddd95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa690a88, th=0xa971fa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dda63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa690800, th=0xa971fa0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4ddda5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa971fa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa971fa0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa971fa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa971fa0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa971fa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa971fa0, previous=0xc02cfd0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4ddc4e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9fdff2a4, parent=0xa690800, th=0xa971fa0) at ../../../threadweaver/Weaver/Thread.cpp:87
#15 0xb4ddc59a in ThreadWeaver::Thread::run (this=0xa971fa0) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0xb5863de0 in QThreadPrivate::start (arg=0xa971fa0) at thread/qthread_unix.cpp:298
#17 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#18 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 13 (Thread 0x9f3ffb40 (LWP 4980)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb5864350 in wait (time=4294967295, this=0xa6908c8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa690818, mutex=0xa6909e8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4ddaacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa690800, th=0xa923658) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ddd95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa690a88, th=0xa923658) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dda63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa690800, th=0xa923658) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4ddda5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923658) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923658, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923658) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923658, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923658) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923658, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923658) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923658, previous=0xa648788) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb4ddc4e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9f3ff2a4, parent=0xa690800, th=0xa923658) at ../../../threadweaver/Weaver/Thread.cpp:87
#17 0xb4ddc59a in ThreadWeaver::Thread::run (this=0xa923658) at ../../../threadweaver/Weaver/Thread.cpp:142
#18 0xb5863de0 in QThreadPrivate::start (arg=0xa923658) at thread/qthread_unix.cpp:298
#19 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#20 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 12 (Thread 0x9ebfeb40 (LWP 4981)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb5864350 in wait (time=4294967295, this=0xa6908c8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa690818, mutex=0xa6909e8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4ddaacc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa690800, th=0xa923dd8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4ddd95b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa690a88, th=0xa923dd8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4dda63a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa690800, th=0xa923dd8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4ddda5c in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923dd8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923dd8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4ddda78 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa690a88, th=0xa923dd8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4dda533 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa690800, th=0xa923dd8, previous=0xbcfcfe8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4ddc4e4 in ThreadWeaver::ThreadRunHelper::run (this=0x9ebfe2a4, parent=0xa690800, th=0xa923dd8) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0xb4ddc59a in ThreadWeaver::Thread::run (this=0xa923dd8) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0xb5863de0 in QThreadPrivate::start (arg=0xa923dd8) at thread/qthread_unix.cpp:298
#15 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 11 (Thread 0x9dfffb40 (LWP 4982)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb3833263 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb383337f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 10 (Thread 0x9cdffb40 (LWP 4988)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb4848029 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb484806f in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xa1cffb40 (LWP 14765)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb1a74344 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#5  0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0x9a0c2b40 (LWP 14766)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xa9e495ba in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#5  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#7  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#8  0xa9e585dc in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#9  0xa9e58828 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#10 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#11 0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#12 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#13 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#14 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#15 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#16 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#17 0xa9e4ab4e in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#18 0xb1a74158 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#19 0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#20 0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#23 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0x996ffb40 (LWP 14767)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb1afb47b in gst_base_sink_wait_preroll () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#5  0xaa6c6fe7 in ?? () from /usr/lib/i386-linux-gnu/libgstaudio-0.10.so.0
#6  0xb1b006b7 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#7  0xb1b0227b in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#8  0xb1b027d5 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#9  0xb1b02c40 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#10 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#11 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#12 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#13 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#14 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#15 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#16 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#17 0xa9e4ab4e in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#18 0xb1a74158 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#19 0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#20 0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#23 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0x98cffb40 (LWP 14768)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb562c1fb in write () from /lib/i386-linux-gnu/libc.so.6
#2  0xb43b0742 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb1a19bcf in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#4  0xb1a1a842 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#5  0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb1a11e47 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#7  0xb1a4dbb6 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#8  0xa5ca57d1 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstplaybin.so
#9  0xb1a0f2cc in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#10 0xb1a1a681 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#11 0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#12 0xb1a11e47 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#13 0xa5cad372 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstplaybin.so
#14 0xb1a0f2cc in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#15 0xb1a1a681 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#16 0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#17 0xb1a11e47 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#18 0xb1a0f2cc in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#19 0xb1a1a681 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#20 0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#21 0xb1a11e47 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#22 0xb1a0f2cc in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#23 0xb1a1a681 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#24 0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#25 0xb1a11e47 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#26 0xb1a0f2cc in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#27 0xb1a1a681 in gst_bus_post () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#28 0xb1a2a7ed in gst_element_post_message () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#29 0xb1a2aada in gst_element_message_full () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#30 0xaa6eafea in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstpulse.so
#31 0xaa6f1cb6 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstpulse.so
#32 0xaa6b1678 in ?? () from /usr/lib/i386-linux-gnu/libgstaudio-0.10.so.0
#33 0xb1a21da3 in gst_clock_get_internal_time () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#34 0xb1a21fe0 in gst_clock_get_time () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#35 0xb1a6cd4f in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#36 0xb1a2222a in gst_clock_id_wait () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#37 0xb1afb2eb in gst_base_sink_wait_clock () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#38 0xb1afd9b6 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#39 0xb1affbe1 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#40 0xb1b0227b in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#41 0xb1b027d5 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#42 0xb1b02c40 in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#43 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#44 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#45 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#46 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#47 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#48 0xa9e4ab4e in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#49 0xb1a74158 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#50 0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#51 0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#52 0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#53 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#54 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0x982ffb40 (LWP 14769)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb1a74344 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#5  0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0x978ffb40 (LWP 14770)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xa9e495ba in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#5  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#7  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#8  0xa9e58441 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#9  0xa9e58828 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#10 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#11 0xa9e4ab4e in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#12 0xb1a74158 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#13 0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#14 0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#15 0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#16 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0x970feb40 (LWP 14995)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb468596b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb43b17b6 in g_cond_wait () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xa9e495ba in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#5  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#6  0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#7  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#8  0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#9  0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#10 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#11 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#12 0xb1b13bfe in ?? () from /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0
#13 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#14 0xb1a32b44 in gst_proxy_pad_chain_default () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#15 0xb1a4a49e in gst_pad_push () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#16 0xa9e4ab4e in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#17 0xb1a74158 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#18 0xb1a75308 in ?? () from /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0
#19 0xb4396057 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#20 0xb43956c3 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#22 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xaa6a3b40 (LWP 29810)):
#0  0xb770a424 in __kernel_vsyscall ()
#1  0xb467f85e in __pthread_mutex_lock_full () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb564a5f4 in pthread_mutex_lock () from /lib/i386-linux-gnu/libc.so.6
#3  0xb1c82f9f in pa_mutex_lock () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#4  0xb3fac4d0 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0xb3f9a75a in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0xb3f9afb7 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0xb3f9b094 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#8  0xb3fac44e in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#9  0xb1c84246 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#10 0xb4681d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#11 0xb563cace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb1128980 (LWP 4324)):
[KCrash Handler]
#7  Meta::MtpHandler::libSavePlaylist (this=0xe4b0eb0, playlist=..., name=...) at ../../../../../src/core-impl/collections/mtpcollection/handler/MtpHandler.cpp:877
#8  0xa58a9b85 in Handler::MtpPlaylistCapability::savePlaylist (this=0x8d32ed20, playlist=..., name=...) at ../../../../../src/core-impl/collections/mtpcollection/handler/capabilities/MtpPlaylistCapability.cpp:97
#9  0xb6c5e917 in Meta::MediaDeviceHandler::savePlaylist (this=0xe4b0eb0, playlist=..., name=...) at ../../src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:1101
#10 0xb6c68756 in qt_static_metacall (_a=0xbfa4e5e4, _id=9, _o=0xe4b0eb0, _c=<optimized out>) at ./MediaDeviceHandler.moc:108
#11 Meta::MediaDeviceHandler::qt_static_metacall (_o=0xe4b0eb0, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfa4e5e4) at ./MediaDeviceHandler.moc:93
#12 0xb598f6b1 in QMetaObject::activate (sender=0x8d32ee90, m=0xb721097c, local_signal_index=0, argv=0xbfa4e5e4) at kernel/qobject.cpp:3547
#13 0xb6c6ae8d in Playlists::MediaDeviceUserPlaylistProvider::playlistSaved (this=0x8d32ee90, _t1=..., _t2=...) at ./MediaDeviceUserPlaylistProvider.moc:114
#14 0xb6c6b8da in Playlists::MediaDeviceUserPlaylistProvider::save (this=0x8d32ee90, tracks=..., name=...) at ../../src/core-impl/collections/mediadevicecollection/playlist/MediaDeviceUserPlaylistProvider.cpp:165
#15 0xb6e0a077 in PlaylistManager::save (this=0xa6b2320, tracks=..., name=..., toProvider=0x8d32ee90) at ../../src/playlistmanager/PlaylistManager.cpp:347
#16 0xb6b7c2eb in Playlist::Dock::slotSaveCurrentPlaylist (this=0x0) at ../../src/playlist/PlaylistDock.cpp:302
#17 0xb6aaa928 in qt_static_metacall (_a=0xbfa4e868, _id=5, _o=0xa8bc418, _c=<optimized out>) at moc_PlaylistDock.cpp:65
#18 Playlist::Dock::qt_static_metacall (_o=0xa8bc418, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfa4e868) at moc_PlaylistDock.cpp:54
#19 0xb598f6b1 in QMetaObject::activate (sender=0xd663d60, m=0xb68583f8, local_signal_index=1, argv=0xbfa4e868) at kernel/qobject.cpp:3547
#20 0xb5ed99bd in QAction::triggered (this=0xd663d60, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#21 0xb5ed9c5b in QAction::activate (this=0xd663d60, event=QAction::Trigger) at kernel/qaction.cpp:1257
#22 0xb639b423 in QMenuPrivate::activateCausedStack (this=0xc961898, causedStack=..., action=0xd663d60, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#23 0xb63a22ff in QMenuPrivate::activateAction (this=0xc961898, action=0xd663d60, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1120
#24 0xb63a4fe5 in QMenu::mouseReleaseEvent (this=0xbe741b0, e=0xbfa4f0a4) at widgets/qmenu.cpp:2360
#25 0xb7576e2c in KMenu::mouseReleaseEvent (this=0xbe741b0, e=0xbfa4f0a4) at ../../kdeui/widgets/kmenu.cpp:464
#26 0xb5f3b1ac in QWidget::event (this=0xbe741b0, event=0xbfa4f0a4) at kernel/qwidget.cpp:8362
#27 0xb63a3a6c in QMenu::event (this=0xbe741b0, e=0xbfa4f0a4) at widgets/qmenu.cpp:2469
#28 0xb5ee0ed4 in notify_helper (e=0xbfa4f0a4, receiver=0xbe741b0, this=0x9f77aa0) at kernel/qapplication.cpp:4559
#29 QApplicationPrivate::notify_helper (this=0x9f77aa0, receiver=0xbe741b0, e=0xbfa4f0a4) at kernel/qapplication.cpp:4531
#30 0xb5ee7024 in QApplication::notify (this=0x9f77aa0, receiver=0xbe741b0, e=0xbfa4f0a4) at kernel/qapplication.cpp:4102
#31 0xb7498b21 in KApplication::notify (this=0xbfa509f4, receiver=0xbe741b0, event=0xbfa4f0a4) at ../../kdeui/kernel/kapplication.cpp:311
#32 0xb597897e in QCoreApplication::notifyInternal (this=0xbfa509f4, receiver=0xbe741b0, event=0xbfa4f0a4) at kernel/qcoreapplication.cpp:876
#33 0xb5ee1e95 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#34 QApplicationPrivate::sendMouseEvent (receiver=0xbe741b0, event=0xbfa4f0a4, alienWidget=0x0, nativeWidget=0xbe741b0, buttonDown=0xb6875cf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#35 0xb5f6e7d2 in QETWidget::translateMouseEvent (this=0xbe741b0, event=0xbfa4f55c) at kernel/qapplication_x11.cpp:4551
#36 0xb5f6cc0d in QApplication::x11ProcessEvent (this=0xbfa509f4, event=0xbfa4f55c) at kernel/qapplication_x11.cpp:3732
#37 0xb5f99eac in x11EventSourceDispatch (s=0x9eb0280, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#38 0xb4371cda in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#39 0xb43720e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#40 0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#41 0xb59ab887 in QEventDispatcherGlib::processEvents (this=0x9e77ea0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#42 0xb5f99aaa in QGuiEventDispatcherGlib::processEvents (this=0x9e77ea0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0xb597750d in QEventLoop::processEvents (this=0xbfa4f850, flags=...) at kernel/qeventloop.cpp:149
#44 0xb59777a9 in QEventLoop::exec (this=0xbfa4f850, flags=...) at kernel/qeventloop.cpp:204
#45 0xb639fb57 in QMenu::exec (this=0xaf2bbe0, p=..., action=0x0) at widgets/qmenu.cpp:2113
#46 0xb63e89e1 in QToolButtonPrivate::popupTimerDone (this=0xc960828) at widgets/qtoolbutton.cpp:952
#47 0xb63e90bd in QToolButtonPrivate::_q_buttonPressed (this=0xc960828) at widgets/qtoolbutton.cpp:876
#48 0xb63e91ab in qt_static_metacall (_a=0xbfa4fa50, _id=4, _o=0xc960810, _c=<optimized out>) at .moc/release-shared/moc_qtoolbutton.cpp:91
#49 QToolButton::qt_static_metacall (_o=0xc960810, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfa4fa50) at .moc/release-shared/moc_qtoolbutton.cpp:81
#50 0xb598f6b1 in QMetaObject::activate (sender=0xc960810, m=0xb686c7c8, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#51 0xb66188b5 in QAbstractButton::pressed (this=0xc960810) at .moc/release-shared/moc_qabstractbutton.cpp:207
#52 0xb630c6bd in QAbstractButtonPrivate::emitPressed (this=0xc960828) at widgets/qabstractbutton.cpp:562
#53 0xb630d33a in QAbstractButton::mousePressEvent (this=0xc960810, e=0xbfa501b4) at widgets/qabstractbutton.cpp:1098
#54 0xb63e9486 in QToolButton::mousePressEvent (this=0xc960810, e=0xbfa501b4) at widgets/qtoolbutton.cpp:709
#55 0xb5f3b638 in QWidget::event (this=0xc960810, event=0xbfa501b4) at kernel/qwidget.cpp:8358
#56 0xb630d1c9 in QAbstractButton::event (this=0xc960810, e=0xbfa501b4) at widgets/qabstractbutton.cpp:1082
#57 0xb63e7bac in QToolButton::event (this=0xc960810, event=0xbfa501b4) at widgets/qtoolbutton.cpp:1160
#58 0xb5ee0ed4 in notify_helper (e=0xbfa501b4, receiver=0xc960810, this=0x9f77aa0) at kernel/qapplication.cpp:4559
#59 QApplicationPrivate::notify_helper (this=0x9f77aa0, receiver=0xc960810, e=0xbfa501b4) at kernel/qapplication.cpp:4531
#60 0xb5ee7024 in QApplication::notify (this=0x9f77aa0, receiver=0xc960810, e=0xbfa501b4) at kernel/qapplication.cpp:4102
#61 0xb7498b21 in KApplication::notify (this=0xbfa509f4, receiver=0xc960810, event=0xbfa501b4) at ../../kdeui/kernel/kapplication.cpp:311
#62 0xb597897e in QCoreApplication::notifyInternal (this=0xbfa509f4, receiver=0xc960810, event=0xbfa501b4) at kernel/qcoreapplication.cpp:876
#63 0xb5ee1e95 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#64 QApplicationPrivate::sendMouseEvent (receiver=0xc960810, event=0xbfa501b4, alienWidget=0xc960810, nativeWidget=0xa8bc418, buttonDown=0xb6875cf4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#65 0xb5f6e074 in QETWidget::translateMouseEvent (this=0xa8bc418, event=0xbfa5066c) at kernel/qapplication_x11.cpp:4617
#66 0xb5f6cc0d in QApplication::x11ProcessEvent (this=0xbfa509f4, event=0xbfa5066c) at kernel/qapplication_x11.cpp:3732
#67 0xb5f99eac in x11EventSourceDispatch (s=0x9eb0280, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#68 0xb4371cda in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#69 0xb43720e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#70 0xb43721c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#71 0xb59ab887 in QEventDispatcherGlib::processEvents (this=0x9e77ea0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#72 0xb5f99aaa in QGuiEventDispatcherGlib::processEvents (this=0x9e77ea0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#73 0xb597750d in QEventLoop::processEvents (this=0xbfa50964, flags=...) at kernel/qeventloop.cpp:149
#74 0xb59777a9 in QEventLoop::exec (this=0xbfa50964, flags=...) at kernel/qeventloop.cpp:204
#75 0xb597ceba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#76 0xb5edea74 in QApplication::exec () at kernel/qapplication.cpp:3820
#77 0x0804fc32 in main (argc=<error reading variable: Cannot access memory at address 0x1>, argv=<error reading variable: Cannot access memory at address 0x5>) at ../../src/main.cpp:303

Reported using DrKonqi
Comment 1 Ralf Engels 2012-08-08 16:08:55 UTC
Git commit c4eb51e0581f8fe354958ab840d3c4c69c02096f by Ralf Engels.
Committed on 08/08/2012 at 18:03.
Pushed by rengels into branch 'master'.

Fix another crash with playlists. MTP playlist this time.
FIXED-IN: 2.6

M  +1    -1    ChangeLog
M  +2    -0    src/core-impl/collections/mtpcollection/handler/MtpHandler.cpp

http://commits.kde.org/amarok/c4eb51e0581f8fe354958ab840d3c4c69c02096f
Comment 2 Myriam Schweingruber 2012-10-07 19:31:54 UTC
*** Bug 308037 has been marked as a duplicate of this bug. ***
Comment 3 Myriam Schweingruber 2012-10-07 19:32:43 UTC
Reopening, based on bug 308037
Comment 4 Myriam Schweingruber 2013-04-11 09:32:13 UTC
Is this still valid with current git?
Comment 5 Myriam Schweingruber 2013-06-18 11:30:35 UTC
Closing for lack of feedback, Please feel free to reopen if you can reproduce this with current git or the upcoming Amarok 2.8